From 24d050ec7054b03ab374b07b5e444fed6c9b85c5 Mon Sep 17 00:00:00 2001
From: travankor <travankor@tuta.io>
Date: Fri, 19 Jul 2019 08:50:41 -0700
Subject: [PATCH] jrnl: add missing dependencies.

---
 srcpkgs/jrnl/template                  |  6 ++++--
 srcpkgs/python3-keyrings-alt/template  | 19 +++++++++++++++++++
 srcpkgs/python3-parsedatetime/template | 15 +++++++++++++++
 3 files changed, 38 insertions(+), 2 deletions(-)
 create mode 100644 srcpkgs/python3-keyrings-alt/template
 create mode 100644 srcpkgs/python3-parsedatetime/template

diff --git a/srcpkgs/jrnl/template b/srcpkgs/jrnl/template
index 28a1dd2243e..3d08f129885 100644
--- a/srcpkgs/jrnl/template
+++ b/srcpkgs/jrnl/template
@@ -1,12 +1,14 @@
 # Template file for 'jrnl'
 pkgname=jrnl
 version=1.9.8
-revision=2
+revision=3
 archs=noarch
 build_style=python3-module
 pycompile_module="jrnl"
 hostmakedepends="python3-setuptools"
-depends="python3"
+depends="python3-cryptography python3-dateutil python3-keyring
+python3-keyrings-alt python3-parsedatetime python3-passlib python3-pytz
+python3-setuptools python3-six python3-tzlocal python3-xdg python3-yaml"
 short_desc="Simple journal application for your command line"
 maintainer="travankor <travankor@tuta.io>"
 license="MIT"
diff --git a/srcpkgs/python3-keyrings-alt/template b/srcpkgs/python3-keyrings-alt/template
new file mode 100644
index 00000000000..d5820535e54
--- /dev/null
+++ b/srcpkgs/python3-keyrings-alt/template
@@ -0,0 +1,19 @@
+# Template file for 'python3-keyrings-alt'
+pkgname=python3-keyrings-alt
+version=3.1.1
+revision=1
+archs=noarch
+wrksrc="keyrings.alt-${version}"
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-keyring"
+short_desc="Alternate keyring backend implementations"
+maintainer="travankor <travankor@tuta.io>"
+license="MIT"
+homepage="https://github.com/jaraco/keyrings.alt"
+distfiles="${PYPI_SITE}/k/keyrings.alt/keyrings.alt-${version}.tar.gz"
+checksum=0bc7b75c7e710a3dd7bc4c3841c71467b24ccbce1b85efb2586bdf0c4713f751
+
+post_intall() {
+	vlicense LICENSE
+}
diff --git a/srcpkgs/python3-parsedatetime/template b/srcpkgs/python3-parsedatetime/template
new file mode 100644
index 00000000000..d3ac21d7d34
--- /dev/null
+++ b/srcpkgs/python3-parsedatetime/template
@@ -0,0 +1,15 @@
+# Template file for 'python3-parsedatetime'
+pkgname=python3-parsedatetime
+version=2.4
+revision=1
+archs=noarch
+wrksrc="parsedatetime-${version}"
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-future"
+short_desc="Parse human-readable date/time strings"
+maintainer="travankor <travankor@tuta.io>"
+license="Apache-2.0"
+homepage="https://github.com/bear/parsedatetime"
+distfiles="${PYPI_SITE}/p/parsedatetime/parsedatetime-${version}.tar.gz"
+checksum=3d817c58fb9570d1eec1dd46fa9448cd644eeed4fb612684b02dfda3a79cb84b
